package com.fs.statis.cache;

import com.fs.statis.dto.AnalysisPreviewDTO;
import com.fs.statis.dto.AnalysisPreviewQueryDTO;
import com.fs.statis.dto.ConsumptionBalanceDataDTO;
import com.fs.statis.dto.DealerAggregatedDTO;

public interface IStatisticsCacheService {
    /**
     * 分析概览 - 经销商统计
     */
    DealerAggregatedDTO dealerAggregated();

    /**
     * 消费余额
     */
    ConsumptionBalanceDataDTO rechargeConsumption();

    /**
     * 分析概览
     */
    AnalysisPreviewDTO analysisPreview(AnalysisPreviewQueryDTO param);

}
