package com.fs.statis.service;

import com.fs.statis.dto.*;

/**
 * 统计接口
 */
public interface IStatisticsService {
    /**
     * 分析概览 - 经销商统计
     */
    DealerAggregatedDTO dealerAggregated();

    /**
     * 消费余额
     */
    ConsumptionBalanceDataDTO rechargeConsumption();

    /**
     * 分析概览
     */
    AnalysisPreviewDTO analysisPreview(AnalysisPreviewQueryDTO param);

    /**
     * 获取短信余额
     * @return
     */
    Long smsBalance();

    /**
     * 授权信息
     * @return
     */
    AuthorizationInfoDTO authorizationInfo();

}
